[X2go-Commits] buildscripts.git - master (branch) updated: a25b21a27c99430f16912b351b5f201ec6fed396

X2Go dev team git-admin at x2go.org
Tue Jan 1 01:41:35 CET 2013


The branch, master has been updated
       via  a25b21a27c99430f16912b351b5f201ec6fed396 (commit)
       via  86b60413dccda6ceb5b8a6837973f4201debf553 (commit)
       via  7a466dd6aa66913962b624094d339e5a7205aab0 (commit)
      from  1dae61656659006075f2a75065a968122025e5d8 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit a25b21a27c99430f16912b351b5f201ec6fed396
Author: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
Date:   Tue Jan 1 01:41:59 2013 +0100

    add support for building from branch build-$RELEASE

commit 86b60413dccda6ceb5b8a6837973f4201debf553
Author: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
Date:   Tue Jan 1 01:41:17 2013 +0100

    Add script: signtarballs

commit 7a466dd6aa66913962b624094d339e5a7205aab0
Author: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
Date:   Tue Jan 1 01:40:53 2013 +0100

    add script for updating a build-$RELEASE branch

-----------------------------------------------------------------------

Summary of changes:
 bin/build-package                           |    3 +++
 bin/signtarballs                            |   13 +++++++++++++
 bin/{updatebuildmain => updatebuildrelease} |   13 +++++++------
 home/.buildscripts/x2go.conf                |    1 +
 4 files changed, 24 insertions(+), 6 deletions(-)
 create mode 100755 bin/signtarballs
 copy bin/{updatebuildmain => updatebuildrelease} (82%)

The diff of changes is:
diff --git a/bin/build-package b/bin/build-package
index 3e15745..eac058e 100755
--- a/bin/build-package
+++ b/bin/build-package
@@ -33,6 +33,7 @@ ubuntu: lucid precise\n\
 
 COMPONENT_MAIN="main"
 COMPONENT_NIGHTLY="nightly"
+COMPONENT_BUNDLES="bundle-release1 bundle-release2"
 REPOS_SERVER="packages.mydomain.org"
 PACKAGES_WITHOUT_OTHERMIRROR="keyring"
 GNUPGHOME=$HOME/.gnupg
@@ -64,6 +65,8 @@ set_vars() {
 	[ -n "$ARGV2_CODENAME" ] && FORCE_BUILD=0 || FORCE_BUILD=-1
 	if [ "x$COMPONENT" = "x$COMPONENT_MAIN" ]; then
 		CHECKOUT="${3:-build-main}"
+	elif [ echo "$COMPONENT_RELEASES" | grep "$COMPONENT" ]; then
+		CHECKOUT="${3:-build-$COMPONENT}"
 	elif [ "x$COMPONENT" = "x$COMPONENT_NIGHTLY" ]; then
 		CHECKOUT="${3:-master}"
 		DATE="~${DATE:-$(date +%Y%m%d)}"
diff --git a/bin/signtarballs b/bin/signtarballs
new file mode 100755
index 0000000..eb8ed46
--- /dev/null
+++ b/bin/signtarballs
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+test -d _releases_  && cd _releases_ || test -d ../_releases_ && cd ../_releases_ || exit -1
+
+find * | egrep ".*(\.tar\.gz|\.exe|\.dmg)$" | while read tarball; do
+	test -f $tarball.md5 || md5sum $tarball > $tarball.md5
+	test -f $tarball.sha1 || sha1sum $tarball > $tarball.sha1
+	test -f $tarball.asc || gpg -a -b --sign $tarball
+done
+
+
+
+
diff --git a/bin/updatebuildmain b/bin/updatebuildrelease
similarity index 82%
copy from bin/updatebuildmain
copy to bin/updatebuildrelease
index 5a46ea4..c11c538 100755
--- a/bin/updatebuildmain
+++ b/bin/updatebuildrelease
@@ -20,8 +20,9 @@
 set -e
 
 GITPROJECT=$(basename $(pwd))
-REF=${1-HEAD}
-ORIGIN=${2:-origin}
+RELEASE=${1-baikal}
+REF=${2-HEAD}
+ORIGIN=${3:-origin}
 
 # we need to be within a working copy (base folder) and we need a <REF>!!!
 test -z $1 || test -d ./.git || {
@@ -31,8 +32,8 @@ test -z $1 || test -d ./.git || {
 }
 
 # update the build-main branch with our newest blessed reference
-git branch -d build-main &>/dev/null || true
-git tag -d build-main &>/dev/null || true
-git checkout -b build-main $REF || true
-git push $ORIGIN build-main:build-main
+git branch -d build-$RELEASE &>/dev/null || true
+git tag -d build-$RELEASE &>/dev/null || true
+git checkout -b build-$RELEASE $REF || true
+git push $ORIGIN build-$RELEASE:build-$RELEASE
 git checkout master
diff --git a/home/.buildscripts/x2go.conf b/home/.buildscripts/x2go.conf
index c62cb67..bd056ad 100644
--- a/home/.buildscripts/x2go.conf
+++ b/home/.buildscripts/x2go.conf
@@ -13,6 +13,7 @@ debian: squeeze wheezy sid"
 
 COMPONENT_MAIN="main"
 COMPONENT_NIGHTLY="heuler"
+COMPONENT_RELEASES="baikal"
 REPOS_SERVER="packages.x2go.org"
 PACKAGE_WITHOUT_OTHERMIRROR="x2go-keyring"
 


hooks/post-receive
-- 
buildscripts.git (X2Go packaging scripts)

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "buildscripts.git" (X2Go packaging scripts).




More information about the x2go-commits mailing list